﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CreateProductRelation.aspx.cs"
    Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Catalog.Dialogs.CreateProductRelation" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="/umbraco_client/Panel/style.css" rel="stylesheet" type="text/css" /> 
    <link href="/umbraco_client/propertypane/style.css" rel="stylesheet"/>
    <link href="/umbraco_client/ui/default.css" rel="stylesheet"  type="text/css" /> 
    <link href="/umbraco/ucommerce/Css/Common.css" rel="stylesheet" type="text/css" />

    <script type="text/javascript" src="/umbraco_client/ui/jquery.js"></script> 
    <script src="/umbraco_client/Application/NamespaceManager.js"type="text/javascript" ></script>
    <script src="/umbraco_client/Application/UmbracoApplicationActions.js"type="text/javascript" ></script>
    <script src="/umbraco_client/Application/UmbracoUtils.js"type="text/javascript"></script>
    <script src="/umbraco_client/Application/HistoryManager.js"type="text/javascript" ></script>
    <script src="/umbraco_client/Application/UmbracoClientManager.js"type="text/javascript" ></script>
    <script src="/umbraco_client/modal/modal.js"type="text/javascript" ></script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h3>
            <span>
                <asp:Localize ID="Localize2" runat="server" meta:resourceKey="Header" /></span></h3>
        <div>
            <p class="guiDialogTiny">
                <asp:Localize ID="Localize3" runat="server" meta:resourceKey="SubHeader" /></p>
        </div>
        <div>
            <div class="propertypane leftAligned" style="padding: 10px">
                <div>
                    <div class="propertyItem">
                        <div class="propertyItemheader">
                            <asp:Localize ID="Localize4" runat="server" meta:resourceKey="RelationType" />
                        </div>
                        <div class="propertyItemContent">
                             <asp:DropDownList runat="server" ID="RelationTypeSelector" style="width:300px" DataSource="<%# RelationTypes %>" DataTextField="Name" DataValueField="ProductRelationTypeId" />
                        </div>
                    </div>
                    <div class="propertyItem">
                        <div class="propertyItemheader">
                            <asp:Localize ID="Localize6" runat="server" meta:resourceKey="TwoWayRelation" />
                        </div>
                        <div class="propertyItemContent">
                             <asp:CheckBox ID="TwoWayRelationshipCheckBox" runat="server" />
                        </div>
                    </div>
                    <div class="propertyItem">
                        <div class="propertyItemheader">
                            <asp:Localize ID="Localize5" runat="server" meta:resourceKey="Products" />
                        </div>
                        <div class="propertyItemContent">
                            <asp:ListBox ID="RelatedProductsSelector" runat="server" SelectionMode="Multiple" style="width:300px;height:300px;" DataSource="<%# Products %>" DataTextField="Label" DataValueField="ProductId" />
                        </div>
                    </div>
                </div>
                <div class="propertyPaneFooter">-</div>
            </div>
        </div>
        <p>
            <asp:Button ID="SaveButton" runat="server" meta:resourceKey="SaveButton"
                OnClick="SaveButton_Clicked" />
            <em>or </em><a href="#" style="color: blue" onclick="UCommerceClientMgr.closeModalWindow()">
                <asp:Localize ID="Localize1" runat="server" meta:resourceKey="CancelButton" /></a>
        </p>
    </div>
    </form>
</body>
</html>
