﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditCategoryBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.EditCategoryBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div style="text-align: left;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>
            <table>                
                <tr>
                    <th style="width: 140px;"><asp:Localize runat="server" meta:resourceKey="Name" /></th>
                    <td><asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.Category.Name %>" CssClass="mediumWidth" /></td>
                    <td>
                        <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />
                        <asp:CustomValidator id="UniqueCategoryNameValidator" runat="server" ErrorMessage="A category with that name already exists in the catalog*" meta:resourceKey="UniqueCategoryNameValidator" Display="Dynamic" ControlToValidate="NameTextBox" OnServerValidate="UniqueNameValidator_ServerValidate" />
                    </td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="CreatedDate" /></th>
                    <td><asp:Label runat="server" Text="<%# View.Category.CreatedOn %>" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="LastModifiedDate" /></th>
                    <td><asp:Label runat="server" Text="<%# View.Category.ModifiedOn %>" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="LastModifiedBy" /></th>
                    <td><asp:Label runat="server" Text="<%# View.Category.ModifiedBy %>" /></td>
                </tr>
                <tr>
                    <th><asp:Localize runat="server" meta:resourceKey="DisplayOnWebSite" /></th>
                    <td><asp:CheckBox runat="server" ID="DisplayOnWebSiteCheckBox" Checked="<%# View.Category.DisplayOnSite %>" /></td>
                </tr>
            </table>
        </div>
    </div>
</div> 