﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditCategoryProducts.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Catalog.EditCategoryProducts" %>
<script type="text/javascript">
    function openProductView(productId, parentCategoryId)
    {
        this.document.location.href = 'editproduct.aspx?id=' + productId + '&parentcategoryId=' + parentCategoryId;
    }
</script>

<div style="text-align: center;">
    <div class="propertyPane leftAligned" style="padding: 10px">
        <div>                
            <div style="margin: 10px; background-color: White; border: solid 1px gray;">
                <asp:Repeater runat="server" ID="ProductRepeater" EnableViewState="false">
                    <HeaderTemplate>
                        <table class="dataList "  cellspacing="0" width="100%">
                            <tr class="headerRow">
                                <td><asp:Localize runat="server" meta:resourceKey="Sku" /></td>
                                <td><asp:Localize runat="server" meta:resourceKey="Name" /></td>
                                <td><asp:Localize runat="server" meta:resourceKey="DisplayName" /></td>
                                <td><asp:Localize runat="server" meta:resourceKey="ProductType" /></td>
                                <td><asp:Localize runat="server" meta:resourceKey="Price" /></td>
                            </tr>
                    </HeaderTemplate>
                    <ItemTemplate>
                            <tr class="contentRow" onclick='openProductView(<%# DataBinder.Eval(Container.DataItem, "ProductId") %>, <%# DataBinder.Eval(Container.DataItem, "ParentCategoryId") %>);return false;'>
                                <td style="width: 85px;padding-right: 15px"><%# DataBinder.Eval(Container.DataItem, "Sku") %></td>
                                <td style="width: 150px"><%# DataBinder.Eval(Container.DataItem, "Name") %></td>
                                <td style="width: 220px"><%# DataBinder.Eval(Container.DataItem, "DisplayName") %></td>
                                <td style="width: 150px"><%# DataBinder.Eval(Container.DataItem, "ProductDefinitionDisplayName") %></td>
                                <td style="width: 80px; padding-right: 15px"><%# DataBinder.Eval(Container.DataItem, "Currency")%> <%# DataBinder.Eval(Container.DataItem, "PriceAmount")%></td>
                            </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                        </table>
                    </FooterTemplate>
                </asp:Repeater>
            </div>
        </div>
    </div> 
</div>        