﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditOrderShipments.ascx.cs"
	Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Orders.EditOrderShipments" %>

<umbracoui:pane runat="server" meta:resourcekey="Payments">
    <asp:Repeater runat="server" ID="PaymentRepeater" DataSource="<%# Payments %>">
        <ItemTemplate>
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="PaymentMethod">
                <%# AsPayment(Container.DataItem).PaymentMethodName %>
            </umbracoUi:PropertyPanel>
			<umbracoUi:PropertyPanel runat="server" meta:resourceKey="Amount">
                <%# AsPayment(Container.DataItem).Amount.ToString("N") %>
            </umbracoUi:PropertyPanel>
			<umbracoUi:PropertyPanel runat="server" meta:resourceKey="PaymentStatus">
                <%# AsPaymentStatus(Container.DataItem).Name %>
            </umbracoUi:PropertyPanel>
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="TransactionID">
                <%# AsPayment(Container.DataItem).TransactionId %>
            </umbracoUi:PropertyPanel>
			<umbracoUi:PropertyPanel runat="server" meta:resourceKey="ReferenceID">
                <%# AsPayment(Container.DataItem).ReferenceId %>
            </umbracoUi:PropertyPanel>
        </ItemTemplate>
    </asp:Repeater>
</umbracoui:pane>
<umbracoui:pane runat="server" meta:resourcekey="Shipments">
    <asp:Repeater runat="server" ID="ShipmentRepeater" DataSource="<%# Shipments %>">
        <ItemTemplate>
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="ShippingMethod">
                <%# AsShipment(Container.DataItem).ShipmentName %>
            </umbracoUi:PropertyPanel>
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="TrackAndTrace">
                <%# AsShipment(Container.DataItem).TrackAndTrace %>
            </umbracoUi:PropertyPanel>
            <umbracoUi:PropertyPanel runat="server" meta:resourceKey="Notes">
                <%# AsShipment(Container.DataItem).DeliveryNote %>
            </umbracoUi:PropertyPanel>            
        </ItemTemplate>
    </asp:Repeater>
</umbracoui:pane>
<umbracoui:pane id="Pane3" runat="server" meta:resourcekey="Addresses">
    <asp:Repeater runat="server" ID="AddressRepeater" DataSource="<%# Addresses %>">
        <ItemTemplate>
            <umbracoUi:PropertyPanel ID="PropertyPanel6" runat="server" Text="<%# AsAddress(Container.DataItem).AddressName %>">
                <div><%# AsAddress(Container.DataItem).CompanyName %></div>
                <div><%# AsAddress(Container.DataItem).Line1 %></div>
                <div><%# AsAddress(Container.DataItem).Line2 %></div>
                <div><%# AsAddress(Container.DataItem).PostalCode %>&nbsp;<%# AsAddress(Container.DataItem).City %></div>
                <div><%# AsAddress(Container.DataItem).State %></div>
                <div><%# GetCountryName(AsAddress(Container.DataItem).CountryId) %></div>
                <div><%# AsAddress(Container.DataItem).Attention %></div>                
            </umbracoUi:PropertyPanel>
        </ItemTemplate>
    </asp:Repeater>
</umbracoui:pane>
