﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ViewOrderGroupOrders.ascx.cs" Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Orders.ViewOrderGroupOrders" %>

<umbracoUi:Pane runat="server" Text="Orders">
    <asp:GridView runat="server" ID="PurchaseOrdersGridView" DataSource="<%# PurchaseOrders %>" RowStyle-BorderWidth="0" SelectedRowStyle-BorderStyle="None" AutoGenerateColumns="false" AllowSorting="true" CssClass="dataList" HeaderStyle-CssClass="headerRow" RowStyle-CssClass="contentRow">
        <Columns>
            <asp:TemplateField meta:resourceKey="Ordernumber" SortExpression="OrderNumber">
                <ItemTemplate>
                    <a href='EditOrder.aspx?id=<%# Eval("OrderId") %>'><%# Eval("OrderNumber") %></a>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField meta:resourceKey="CustomerName" DataField="CustomerName" SortExpression="CustomerName" />
            <asp:BoundField meta:resourceKey="Status" DataField="Status" SortExpression="Status" />
            <asp:BoundField meta:resourceKey="CompletedDate" DataField="CompletedDate" SortExpression="CompletedDate" />
            <asp:BoundField meta:resourceKey="Currency" DataField="Currency" SortExpression="Currency" />
            <asp:BoundField meta:resourceKey="CatalogSetName" DataField="CatalogSetName" SortExpression="CatalogSetName" />
            <asp:BoundField meta:resourceKey="OrderTotal" DataField="OrderTotal" DataFormatString="{0:N}" ItemStyle-CssClass="rightAligned" SortExpression="OrderTotal" />
        </Columns>
    </asp:GridView>
</umbracoUi:Pane>