﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditCountryBaseProperties.ascx.cs" Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Settings.Orders.EditCountryBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<umbracoUi:Pane runat="server">
    
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="NameProperty">
        <asp:TextBox runat="server" ID="NameTextBox" Text="<%# View.Country.Name %>"></asp:TextBox>
        <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />
        <asp:CustomValidator runat="server" ErrorMessage="*" CssClass="validator" OnServerValidate="NameTextBox_ServerValidate" />
    </umbracoUi:PropertyPanel>
    
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="CultureProperty">
        <asp:TextBox runat="server" ID="CultureCodeTextBox" Text="<%# View.Country.Culture %>"></asp:TextBox>
        <asp:RequiredFieldValidator runat="server" ControlToValidate="CultureCodeTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />
        <asp:CustomValidator runat="server" ControlToValidate="CultureCodeTextBox" Display="Static" OnServerValidate="CultureCode_ServerValidate" meta:resouceKey="CultureValidator"></asp:CustomValidator>
    </umbracoUi:PropertyPanel>
    
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="NativeNameProperty">
        <%= GetLocalCountryName() %>
    </umbracoUi:PropertyPanel>
    
</umbracoUi:Pane>