﻿<%@ Import Namespace="UCommerce.Presentation.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditDataTypeBaseProperties.ascx.cs" Inherits="UCommerceWeb.Umbraco.UCommerce.Settings.Catalog.EditDataTypeBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<div class="propertypane leftAligned" style="padding: 10px">
    <div>
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Name" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="NameTextBox" Text="<%# QueryString.Common.IsNew ? QueryString.Common.Name : View.DataType.TypeName %>" Enabled="<%# !View.DataType.BuiltIn %>" CssClass="mediumWidth" />
                <asp:RequiredFieldValidator runat="server" ControlToValidate="NameTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />
                <asp:CustomValidator runat="server" ErrorMessage="*" CssClass="validator" OnServerValidate="NameValidator_ServerValidate" />
            </div>            
        </div>        
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Definition" />
            </div>
            <div class="propertyItemContent">
                <asp:DropDownList runat="server" ID="DefinitionDropDown" CssClass="mediumWidth" Enabled="<%# !View.DataType.BuiltIn %>">
                    <asp:ListItem Value="Text" Text="Text"></asp:ListItem>
                    <asp:ListItem Value="Boolean" Text="Boolean"></asp:ListItem>
                    <asp:ListItem Value="Enum" Text="Enum"></asp:ListItem>
                </asp:DropDownList>
            </div>
        </div>              
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="Nullable" />
            </div>
            <div class="propertyItemContent">
                <asp:CheckBox runat="server" ID="NullableCheckBox" Checked="<%# View.DataType.Nullable %>" Enabled="<%# !View.DataType.BuiltIn %>" />
            </div>
        </div>            
        <div class="propertyItem">
            <div class="propertyItemheader">
                <asp:Localize runat="server" meta:resourceKey="ValidationExpression" />
            </div>
            <div class="propertyItemContent">
                <asp:TextBox runat="server" ID="ValidationExpressionTextBox" Text="<%# View.DataType.ValidationExpression %>" CssClass="mediumWidth" Enabled="<%# !View.DataType.BuiltIn %>" />                    
            </div>
        </div>                    
    </div>
    <div class="propertyPaneFooter">-</div>
</div>