﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditCurrencyBaseProperties.ascx.cs" Inherits="UCommerce.Web.UI.Umbraco.UCommerce.Settings.Orders.EditCurrencyBaseProperties" %>
<%@ Register Src="~/Umbraco/UCommerce/Controls/ValidationSummaryDisplay.ascx" TagPrefix="commerce" TagName="ValidationSummary" %>
<commerce:ValidationSummary runat="server" />
<umbracoUi:Pane runat="server">

    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="IsoCodeProperty">
        <asp:TextBox runat="server" ID="IsoCodeTextBox" Text="<%# View.Currency.ISOCode %>"></asp:TextBox>
        <asp:RequiredFieldValidator runat="server" ControlToValidate="IsoCodeTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />
        <asp:CustomValidator runat="server" ErrorMessage="*" CssClass="validator" OnServerValidate="NameValidator_ServerValidate" />
    </umbracoUi:PropertyPanel>
    
    <umbracoUi:PropertyPanel runat="server" meta:resourceKey="ExchangeRateProperty">
        <asp:TextBox runat="server" ID="ExchangeRateTextBox" Text="<%# View.Currency.ExchangeRate %>"></asp:TextBox>
        <asp:RequiredFieldValidator runat="server" ControlToValidate="ExchangeRateTextBox" Display="Static" ErrorMessage="*" CssClass="validator" />
        <asp:RangeValidator runat="server" ControlToValidate="ExchangeRateTextBox" Display="Static" ErrorMessage="*" CssClass="validator" MinimumValue="0" MaximumValue="<%# int.MaxValue %>" Type="Integer" ></asp:RangeValidator>
    </umbracoUi:PropertyPanel>

</umbracoUi:Pane>